Summary:	Tools for controling X from the command line
Summary(pl.UTF-8):	Narzędzia do sterowania X Window System z linii poleceń
Name:		xautomation
Version:	1.09
Release:	1
License:	GPL v2+
Vendor:		Steve Slaven <bpk@hoopajoo.net>
Group:		X11/Applications
Source0:	http://hoopajoo.net/static/projects/%{name}-%{version}.tar.gz
# Source0-md5:	16b973fdb525feed876471225bba30ed
URL:		http://hoopajoo.net/projects/xautomation.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The control interface allows mouse movement, clicking, button up/down,
key up/down, etc. The visgrep program find images inside of images and
reports the coordinates, allowing progams to find buttons, etc, on the
screen to click on.

Useful with tools like <http://bur.st/~benc/index.pl?p=external-edit>.

%description -l pl.UTF-8
Narzędzia pozwalają na poruszanie wskaźnikiem myszy, ,,naciskanie''
przycisków na klawiaturze itd. visgrep szuka obrazów w obrazach, by
można było zlokalizować przyciski do kliknięcia.

Użyteczne z narzędziami w rodzaju
<http://bur.st/~benc/index.pl?p=external-edit>.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man7/xautomation.7*
%changelog
* Wed Sep 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xautomation.git;a=log;h=master

* Wed Sep 09 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f1518b
- up to 1.09

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a5a00d5
- release 5 (by relup.sh)

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> eb92ebf
- fix previous commit log

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 23fc275
- call autothingies
- link X11 (-libs.patch)
- release 4 (rebuild against libpng-1.5)

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d7fac8b
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bc25d75
- release 2

* Wed Feb 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 98647a7
- up to 1.03

* Sat Jan 30 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 0e0d741
- release 2

* Thu Oct 23 2008 Karol Krenski <charles@pld-linux.org> 2d053c5
- updated to 1.02

* Mon Mar 26 2007 radek <radek@pld-linux.org> 2565411
- xorg BRs

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dfc6333
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8f5231e
- converted to UTF-8

* Mon Feb 14 2005 Jakub Bogusz <qboosh@pld-linux.org> a43d774
- desc fixes, use metapackage name in BR

* Sun Feb 13 2005 Michal Moskal <michal@moskal.me> e1ee781
- new

